Package net.shibboleth.idp.authn.config.navigate

# Class ForceAuthnProfileConfigPredicate

java.lang.Object
net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate
net.shibboleth.idp.authn.config.navigate.ForceAuthnProfileConfigPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class ForceAuthnProfileConfigPredicate extends AbstractRelyingPartyPredicate
A predicate that evaluates a `ProfileRequestContext` and determines whether forced authentication should be set based on the associated `AuthenticationProfileConfiguration`.

Since:
  3.4.0

## Constructor Summary

Constructors
Constructor
Description
`ForceAuthnProfileConfigPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### ForceAuthnProfileConfigPredicate

public ForceAuthnProfileConfigPredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)